Bug 1753250 - don't link against lapack with openblas
Summary: don't link against lapack with openblas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scalapack
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-18 13:29 UTC by Dave Love
Modified: 2019-10-04 23:06 UTC (History)
4 users (show)

Fixed In Version: scalapack-2.0.2-31.fc31 scalapack-2.0.2-31.fc29 scalapack-2.0.2-31.fc30 scalapack-2.0.2-31.el7 scalapack-2.0.2-31.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-28 00:02:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Love 2019-09-18 13:29:14 UTC
Description of problem:

I noticed that scalapack links reference lapack/blas when built with openblas, which it shouldn't.
I'll open a pull request with a fix.

Version-Release number of selected component (if applicable):

scalapack-openmpi-0:2.0.2-29.el7.x86_64 but applicable to all branches

Comment 1 Fedora Update System 2019-09-19 17:54:03 UTC
FEDORA-EPEL-2019-63eeac9eb9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-63eeac9eb9

Comment 2 Fedora Update System 2019-09-19 17:54:07 UTC
FEDORA-EPEL-2019-5905d400c9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5905d400c9

Comment 3 Fedora Update System 2019-09-19 17:54:08 UTC
FEDORA-2019-75a04f0314 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-75a04f0314

Comment 4 Fedora Update System 2019-09-19 17:54:12 UTC
FEDORA-2019-4e425787ab has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e425787ab

Comment 5 Fedora Update System 2019-09-20 00:46:11 UTC
scalapack-2.0.2-31.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5905d400c9

Comment 6 Fedora Update System 2019-09-20 01:57:06 UTC
scalapack-2.0.2-31.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e425787ab

Comment 7 Fedora Update System 2019-09-20 02:57:06 UTC
scalapack-2.0.2-31.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-75a04f0314

Comment 8 Fedora Update System 2019-09-20 03:02:10 UTC
scalapack-2.0.2-31.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-79ef483f84

Comment 9 Fedora Update System 2019-09-20 03:44:40 UTC
scalapack-2.0.2-31.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-63eeac9eb9

Comment 10 Fedora Update System 2019-09-28 00:02:32 UTC
scalapack-2.0.2-31.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-28 01:56:33 UTC
scalapack-2.0.2-31.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-09-28 03:39:14 UTC
scalapack-2.0.2-31.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-10-04 20:28:47 UTC
scalapack-2.0.2-31.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-10-04 23:06:28 UTC
scalapack-2.0.2-31.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.